#1  
Old 4th April 2006, 23:33
Pixelated Pixelated is offline
Junior Member
 
Join Date: Apr 2006
Location: North-East (UK)
Posts: 6
Thanks: 0
Thanked 0 Times in 0 Posts
Default Latest Versions?

Hi, am i able to use the latest version of mysql 5.0 as part of ispconfig, it's just that i created a Joomla! 1.0.8 site on a Windows XP Home machine with apache2triad version 1.5.4 and took weeks to build with alot of info thats only stored in the sql file.

Apache2triad:
It has the latest versions:

Apache to 2.2.0
OpenSSL to 0.9.8a
PHP 5.1.2
Zend Optimizer to 2.6.2
Xdebug to 2.0.0 beta5
DBG to 2.18.5
SlimFTPd to 3.18
Xmail to 1.22
PostgreSQL to 8.1.2
pgAdmin to 1.4.1
phpPgAdmin to 4.0.1
MySQL to 5.0.18
MyODBC to 5.0.0
MySQL Administrator 1.1.8
MySQL Query Browser 1.1.20
PHPmyadmin to 2.7.0 pl2
UebiMiau to 2.7.9
AWStats to 6.5
mod_perl to 2.0.3
mod_ssl to 2.2.0
etc...

My problem is that i backed-up mysql sql "exported to sql file" and site folders and files to use with Debian. Then i found the Debian Perfect Setup by falko and it has ispconfig setup details and i was hooked. To cut a long story short, once i installed every thing and it worked first time which made me very happy, as i have only used Linux on the day i read about the perfect-setup, two days ago. When i import my sql file to create the database it has an error about "sorry i did not save details because i thought i could google it" but i think it relates to the table type? ISAM or MyISAM not being backward compatable so the sql file i created in MySQL 5.0.18 will not import back in a lower version of MySQL. I could be wrong?

I tried to update using a post in these forums about editing your /etc/apt/source.list and added urls to testing and unstable to use with apt-get install..... apt-get update... apt-get upgrade.... Now i cannot access my ispconfig admin and get error

Quote:
Warning: mysql_connect() [function.mysql-connect]: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) in /home/admispconfig/ispconfig/lib/classes/ispconfig_db_mysql.lib.php on line 76

Warning: mysql_connect() [function.mysql-connect]: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) in /home/admispconfig/ispconfig/lib/classes/ispconfig_db_mysql.lib.php on line 76

Warning: Cannot modify header information - headers already sent by (output started at /home/admispconfig/ispconfig/lib/classes/ispconfig_db_mysql.lib.php:76) in /home/admispconfig/ispconfig/web/login/login.php on line 56
Do i need to reinstall or is there a work around?

Any help appreciated.

"Can we use ispconfig with all the latest versions need to run Debian and ispconfig? Thanks...

Last edited by Pixelated; 4th April 2006 at 23:36. Reason: Extra Bits Added
Reply With Quote
Sponsored Links
  #2  
Old 5th April 2006, 00:28
Pixelated Pixelated is offline
Junior Member
 
Join Date: Apr 2006
Location: North-East (UK)
Posts: 6
Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by Pixelated
Hi, am i able to use the latest version of mysql 5.0 as part of ispconfig, it's just that i created a Joomla! 1.0.8 site on a Windows XP Home machine with apache2triad version 1.5.4 and took weeks to build with alot of info thats only stored in the sql file.

Apache2triad:
It has the latest versions:

Apache to 2.2.0
OpenSSL to 0.9.8a
PHP 5.1.2
Zend Optimizer to 2.6.2
Xdebug to 2.0.0 beta5
DBG to 2.18.5
SlimFTPd to 3.18
Xmail to 1.22
PostgreSQL to 8.1.2
pgAdmin to 1.4.1
phpPgAdmin to 4.0.1
MySQL to 5.0.18
MyODBC to 5.0.0
MySQL Administrator 1.1.8
MySQL Query Browser 1.1.20
PHPmyadmin to 2.7.0 pl2
UebiMiau to 2.7.9
AWStats to 6.5
mod_perl to 2.0.3
mod_ssl to 2.2.0
etc...

My problem is that i backed-up mysql sql "exported to sql file" and site folders and files to use with Debian. Then i found the Debian Perfect Setup by falko and it has ispconfig setup details and i was hooked. To cut a long story short, once i installed every thing and it worked first time which made me very happy, as i have only used Linux on the day i read about the perfect-setup, two days ago. When i import my sql file to create the database it has an error about "sorry i did not save details because i thought i could google it" but i think it relates to the table type? ISAM or MyISAM not being backward compatable so the sql file i created in MySQL 5.0.18 will not import back in a lower version of MySQL. I could be wrong?

I tried to update using a post in these forums about editing your /etc/apt/source.list and added urls to testing and unstable to use with apt-get install..... apt-get update... apt-get upgrade.... Now i cannot access my ispconfig admin and get error



Do i need to reinstall or is there a work around?

Any help appreciated.

"Can we use ispconfig with all the latest versions need to run Debian and ispconfig? Thanks...
Had another go at updating ref: http://www.howtoforge.com/forums/showthread.php?t=1257&highlight=upgrade+mysql

It Worked...
Managed to get back into admin in ispconfig and my domains are there but when i goto phpmyadmin my test domain databases are not there not even ispconfigs or even mysqls''s little database that is usually there. Any Ideas. What commands do i type to see what versions are installed or can i view them in a package manager?

Will reboot to see if anything changes...

Oh, are there any good resources relating to learning how to use all aspect of Debian. Just want to get my 13yr old son to be interested in Linux and get him away from being tied to 1 OS.

Thanks....
Reply With Quote
  #3  
Old 5th April 2006, 00:45
Pixelated Pixelated is offline
Junior Member
 
Join Date: Apr 2006
Location: North-East (UK)
Posts: 6
Thanks: 0
Thanked 0 Times in 0 Posts
Default

The mbstring PHP extension was not found and you seem to be using a multibyte charset. Without the mbstring extension phpMyAdmin is unable to split strings correctly and it may result in unexpected results.

Above is whats at the bottom of the right frame in phpmyadmin. Rebooted and still the same. Will wait to see what falko or till because they are the ones im banking on to fix me lmao. Will come back tomorrow... till then bye for now.
Reply With Quote
  #4  
Old 5th April 2006, 16:21
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,703
Thanks: 819
Thanked 5,320 Times in 4,173 Posts
Default

The mbstring error in PHPMyAdmin does not affect you if you dont use charsets like chinese Big5.

Has PHPMyAdmin worked before you updated mySQL? Did you login with the mysql root user?
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #5  
Old 5th April 2006, 16:38
Pixelated Pixelated is offline
Junior Member
 
Join Date: Apr 2006
Location: North-East (UK)
Posts: 6
Thanks: 0
Thanked 0 Times in 0 Posts
 
Default

I had login with root and as different site owners but have reinstalled and starting again from scratch, thanks till...
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Latest version of phpMyAdmin (phpMyAdmin-2.6.4-pl2) as pkg file. yvovandoorn Feature Requests 8 23rd February 2006 13:10
Mail being sent to /home/User/Maildir but its checking /var/spool/mail/User phantomk Installation/Configuration 4 25th January 2006 07:17
Kernel Versions sgtbob Technical 6 21st October 2005 19:02
allow other PHP versions AlexCunha Feature Requests 1 22nd September 2005 01:28
update to latest version hagel Installation/Configuration 7 19th August 2005 11:50


All times are GMT +2. The time now is 20:14.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.